
GammaLib - Feature #284

Rethink the definition of the GTime class

07/07/2012 08:48 PM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 32.00 hours

Target version: 00-07-00   

Description

The purpose of the GTime class is to provide an abstract time value that is independent of the time reference system.

The actual implementation is not satisfactory, as the time reference is carried by each GTime element. Also, the time reference is not

sufficiently general.

Thoughts about a possible new implementation can be found here: [[GTime]].

Subtasks:

Action # 646: Adapt GammaLib to new GTime class structure Closed

Action # 647: Add GTimes time container. Closed

Action # 652: Add unit test for new time class. Closed

Action # 650: Add GTimeReference class Closed

Action # 649: Modify GTime according to new implementation Closed

History

#1 - 07/18/2012 08:53 AM - Knödlseder Jürgen

- Description updated

#2 - 09/14/2012 11:39 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#3 - 12/16/2012 12:50 AM - Knödlseder Jürgen

- Status changed from New to In Progress

Implementation of feature started on branch 284-new-time.

#4 - 12/17/2012 11:24 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

#5 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
